%global pname kn0ck0ut
%global gitrev eaeb2d90
Name:           lv2-kn0ck0ut
Version:        1.1
Release:        2.0.git%{gitrev}%{?dist}
Summary:        An LV2 spectral subtraction plugin

Group:          Applications/Multimedia
License:        GPLv3+
URL:            https://github.com/jeremysalwen/kn0ck0ut-LV2
# obtained from git via sh lv2-kn0ck0ut-snapshot.sh 60421a3
Source0:        %{name}-%{version}-git%{gitrev}.tar.bz2
Source1:        %{name}-snapshot.sh
BuildRequires:  lv2-devel
BuildRequires:  lv2-c++-tools-devel
BuildRequires:  fftw-devel
Requires:       lv2

%description
Kn0ck0ut-LV2 is an LV2 plugin to perform spectral subtraction. It can be used
to achieve a wide variety of effects, most notably removing or extracting the
center of a two channel audio file. As Kn0ck0ut is only a plugin, you will
need a host for LV2 plugins in order to use it, such as Ardour, Qtractor, Ingen,
lv2_jack_host, or lv2file.

%prep
%setup -q 
sed -i -e 's|-O3|%{optflags}|' Makefile
%if %{_lib} == "lib64"
   sed -i -e 's|\/lib|\/lib64|' Makefile
%endif

%build CXXFLAGS="%{optflags}"
make  

%install
make install DESTDIR=%{buildroot}

%files
%doc COPYING readme.txt
%{_libdir}/lv2/%{pname}.lv2
%{_libdir}/lv2/%{pname}.lv2/*

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2.0.giteaeb2d90
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.0.giteaeb2d9
- Update git, and build against lv2

* Fri Jan 20 2012 Dan Horák <dan[at]danny.cz> 1.1-0.4.git60421a3
- fix build on non-x86 64-bit arches

* Tue Jan 10 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1-0.3.git60421a3
- git commit containing license clarification 

* Fri Jan 06 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1-0.2.gitd03e8db0
- removed lv2config 

* Mon Oct 31 2011 Brendan Jones <brendan.jones.it@gmail.com> 1.1-0.1.gitd03e8db0
- Initial build

